Bug 1330289 - Failure to install Controller/Network&&Compute Cluster on RDO Mitaka with keystone API V3
Failure to install Controller/Network&&Compute Cluster on RDO Mitaka with key...
Status: POST
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
trunk
x86_64 Linux
unspecified Severity high
: ---
: trunk
Assigned To: Javier Peña
Shai Revivo
: Reopened
: 1330485 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-25 15:28 EDT by Boris Derzhavets
Modified: 2016-10-17 16:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:56:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Answer file been used for deployment (13.53 KB, application/x-gzip)
2016-04-25 15:28 EDT, Boris Derzhavets
no flags Details
Updated patch for rebuild openstack-puppet-modules-8.0.4-1.el7.src.rpm (4.15 KB, application/mbox)
2016-05-21 14:13 EDT, Boris Derzhavets
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 318757 None None None 2016-05-19 12:32 EDT
OpenStack gerrit 318762 None None None 2016-05-19 12:34 EDT
OpenStack gerrit 386976 None None None 2016-10-17 16:08 EDT

  None (edit)
Description Boris Derzhavets 2016-04-25 15:28:38 EDT
Created attachment 1150620 [details]
Answer file been used for deployment

Description of problem:

Running cinder puppet packstack crashes when CONFIG_KEYSTONE_API=v3

192.169.142.127_keystone.pp:                         [ DONE ]          
192.169.142.127_glance.pp:                           [ DONE ]          
192.169.142.127_cinder.pp:                        [ ERROR ]            
Applying Puppet manifests                         [ ERROR ]


ERROR : Error appeared during Puppet run: 192.169.142.127_cinder.pp
Error: Could not prefetch cinder_type provider 'openstack': Execution of '/usr/bin/openstack volume type list --quiet --format csv --long' returned 1: 

Expecting to find domain in project - the server could not comply with the request since it is either malformed or otherwise incorrect. The client is assumed to be in error. (HTTP 400) (Request-ID: req-3816ced4-d664-4540-96fd-b2623b0e4e5f)
You will find full trace in log /var/tmp/packstack/20160425-213810-ZJIY2O/manifests/192.169.142.127_cinder.pp.log


Version-Release number of selected component (if applicable):

[root@ip-192-169-142-127 ~]# rpm -qa \*openstack-packstack\*
openstack-packstack-puppet-8.0.0-0.7.0rc2.el7.noarch
openstack-packstack-8.0.0-0.7.0rc2.el7.noarch


How reproducible:


Steps to Reproduce:
1. Start packstack installation on two node cluster on RDO Mitaka
2. packstack --answer-file=./Answer2NodeKeystoneV3.txt 
3. Wait until cinder.pp will crash

Actual results:

Failure instantiate 2 Node RDO MItaka Cluster with keystone api v3

Expected results:

Cluster gets created

Additional info:

1. Standard setup ML2&OVS&VXLAN
2. When CONFIG_KEYSTONE_API=v2.0 packstack completes successfully
3. In AIO install CONFIG_KEYSTONE_API=v3 packstack doesn't crash
4. 192.169.142.127_cinder.pp.log

boris@fedora23wks ~]$ cat 192.169.142.127_cinder.pp.log

Warning: Scope(Class[Cinder::Backup::Swift]): The OpenStack default value of backup_swift_container differs from the puppet module default of "volumes_backup" and will be changed to the upstream OpenStack default in N-release.
Warning: Scope(Cinder::Type[iscsi]): Parameters $os_password/$os_region_name/$os_tenant_name/$os_username/$os_auth_url are not longer required
Warning: Scope(Cinder::Type[iscsi]): Auth creds will be used from env or /root/openrc file or cinder.conf
Notice: Compiled catalog for ip-192-169-142-127.ip.secureserver.net in environment production in 0.67 seconds
Warning: The package type's allow_virtual parameter will be changing its default value from false to true in a future release. If you do not want to allow virtual packages, please explicitly set allow_virtual to false.
   (at /usr/share/ruby/vendor_ruby/puppet/type.rb:816:in `set_default')
Notice: /Stage[main]/Main/File[openstack-losetup]/ensure: defined content as '{md5}3fee7f98eb9b581c420311aed91f0aaa'
Notice: /Stage[main]/Main/Exec[/usr/bin/systemctl daemon-reload]: Triggered 'refresh' from 1 events
Notice: /Stage[main]/Cinder/Package[cinder]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/rabbit_ha_queues]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/amqp_durable_queues]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[DEFAULT/enable_v2_api]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/heartbeat_rate]/ensure: created
Notice: /Stage[main]/Cinder::Api/Cinder_config[keystone_authtoken/admin_password]/ensure: created
Notice: /Stage[main]/Cinder::Backup::Swift/Cinder_config[DEFAULT/backup_swift_auth_url]/ensure: created
Notice: /Stage[main]/Cinder::Backup::Swift/Cinder_config[DEFAULT/backup_swift_container]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[DEFAULT/api_paste_config]/ensure: created
Notice: /Stage[main]/Cinder::Cron::Db_purge/Cron[cinder-manage db purge]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[DEFAULT/enable_v3_api]/ensure: created
Notice: /Stage[main]/Cinder::Backends/Cinder_config[DEFAULT/enabled_backends]/ensure: created
Notice: /Stage[main]/Cinder::Backup::Swift/Cinder_config[DEFAULT/backup_driver]/ensure: created
Notice: /Stage[main]/Cinder::Logging/Cinder_config[DEFAULT/debug]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/rabbit_host]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[DEFAULT/storage_availability_zone]/ensure: created
Notice: /Stage[main]/Cinder::Api/Cinder_config[DEFAULT/nova_catalog_info]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/rabbit_use_ssl]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/kombu_ssl_keyfile]/ensure: created
Notice: /Stage[main]/Cinder::Logging/Cinder_config[DEFAULT/log_dir]/ensure: created
Notice: /Stage[main]/Cinder::Api/Cinder_config[DEFAULT/auth_strategy]/ensure: created
Notice: /Stage[main]/Cinder::Api/Cinder_config[DEFAULT/osapi_volume_listen]/ensure: created
Notice: /Stage[main]/Cinder::Api/Cinder_config[DEFAULT/osapi_volume_workers]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/kombu_ssl_ca_certs]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/rabbit_hosts]/ensure: created
Notice: /Stage[main]/Cinder::Api/Cinder_config[keystone_authtoken/admin_tenant_name]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_concurrency/lock_path]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[DEFAULT/default_availability_zone]/ensure: created
Notice: /Stage[main]/Main/Packstack::Firewall[cinder_192.169.142.137]/Firewall[001 cinder incoming cinder_192.169.142.137]/ensure: created
Notice: /Stage[main]/Cinder::Api/Cinder_config[keystone_authtoken/auth_uri]/ensure: created
Notice: /Stage[main]/Main/Cinder_config[DEFAULT/glance_host]/ensure: created
Notice: /Stage[main]/Cinder::Logging/Cinder_config[DEFAULT/verbose]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[DEFAULT/control_exchange]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[DEFAULT/enable_v1_api]/ensure: created
Notice: /Stage[main]/Main/Packstack::Firewall[cinder_api]/Firewall[001 cinder-api incoming cinder_api]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/rabbit_port]/ensure: created
Notice: /Stage[main]/Main/File_line[snapshot_autoextend_threshold]/ensure: created
Notice: /Stage[main]/Main/Cinder::Backend::Iscsi[lvm]/Cinder_config[lvm/iscsi_helper]/ensure: created
Notice: /Stage[main]/Main/Cinder::Backend::Iscsi[lvm]/Package[targetcli]/ensure: created
Notice: /Stage[main]/Main/Cinder::Backend::Iscsi[lvm]/Cinder_config[lvm/iscsi_ip_address]/ensure: created
Notice: /Stage[main]/Main/Cinder::Backend::Iscsi[lvm]/Cinder_config[lvm/volume_driver]/ensure: created
Notice: /Stage[main]/Main/Cinder::Backend::Iscsi[lvm]/Cinder_config[lvm/volumes_dir]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/heartbeat_timeout_threshold]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/rabbit_virtual_host]/ensure: created
Notice: /Stage[main]/Main/Cinder::Backend::Iscsi[lvm]/Cinder_config[lvm/volume_backend_name]/ensure: created
Notice: /Stage[main]/Cinder::Setup_test_volume/Exec[create_/var/lib/cinder/cinder-volumes]/returns: executed successfully
Notice: /Stage[main]/Cinder::Setup_test_volume/Exec[losetup /dev/loop2 /var/lib/cinder/cinder-volumes]: Triggered 'refresh' from 1 events
Notice: /Stage[main]/Cinder::Setup_test_volume/Exec[pvcreate /dev/loop2]: Triggered 'refresh' from 1 events
Notice: /Stage[main]/Cinder::Setup_test_volume/Exec[vgcreate cinder-volumes /dev/loop2]: Triggered 'refresh' from 1 events
Notice: /Stage[main]/Main/Service[openstack-losetup]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Cinder::Ceilometer/Cinder_config[DEFAULT/notification_driver]/ensure: created
Notice: /Stage[main]/Main/Cinder::Backend::Iscsi[lvm]/Service[target]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Cinder::Api/Cinder_config[DEFAULT/nova_catalog_admin_info]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/rabbit_password]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[DEFAULT/rpc_backend]/ensure: created
Notice: /Stage[main]/Cinder::Api/Cinder_config[keystone_authtoken/identity_uri]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/rabbit_userid]/ensure: created
Notice: /Stage[main]/Main/File_line[snapshot_autoextend_percent]/ensure: created
Notice: /Stage[main]/Main/File[/var/lib/cinder]/mode: mode changed '0755' to '0700'
Notice: /Stage[main]/Main/File[/var/lib/cinder/tmp]/mode: mode changed '0755' to '0700'
Notice: /Stage[main]/Cinder::Api/Cinder_config[keystone_authtoken/admin_user]/ensure: created
Notice: /Stage[main]/Cinder::Backup::Swift/Cinder_config[DEFAULT/backup_swift_url]/ensure: created
Notice: /Stage[main]/Cinder/Cinder_config[oslo_messaging_rabbit/kombu_ssl_certfile]/ensure: created
Notice: /Stage[main]/Cinder::Db/Cinder_config[database/connection]/ensure: created
Notice: /Stage[main]/Main/File[/var/lib/cinder/cinder-volumes]/mode: mode changed '0644' to '0600'
Notice: /File[/var/lib/cinder/cinder-volumes]/seluser: seluser changed 'unconfined_u' to 'system_u'
Notice: /Stage[main]/Cinder::Db::Sync/Exec[cinder-manage db_sync]: Triggered 'refresh' from 51 events
Notice: /Stage[main]/Cinder::Api/Service[cinder-api]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Cinder::Backup/Service[cinder-backup]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Cinder::Volume/Service[cinder-volume]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Cinder::Scheduler/Service[cinder-scheduler]/ensure: ensure changed 'stopped' to 'running'
Error: Could not prefetch cinder_type provider 'openstack': Execution of '/usr/bin/openstack volume type list --quiet --format csv --long' returned 1: Expecting to find domain in project - the server could not comply with the request since it is either malformed or otherwise incorrect. The client is assumed to be in error. (HTTP 400) (Request-ID: req-3816ced4-d664-4540-96fd-b2623b0e4e5f)
Error: Execution of '/usr/bin/openstack volume type create --format shell --property volume_backend_name=lvm iscsi' returned 1: Expecting to find domain in project - the server could not comply with the request since it is either malformed or otherwise incorrect. The client is assumed to be in error. (HTTP 400) (Request-ID: req-1f4e0e3b-8339-46fb-a845-a8df48a2b2ba)
Error: /Stage[main]/Main/Cinder::Type[iscsi]/Cinder_type[iscsi]/ensure: change from absent to present failed: Execution of '/usr/bin/openstack volume type create --format shell --property volume_backend_name=lvm iscsi' returned 1: Expecting to find domain in project - the server could not comply with the request since it is either malformed or otherwise incorrect. The client is assumed to be in error. (HTTP 400) (Request-ID: req-1f4e0e3b-8339-46fb-a845-a8df48a2b2ba)
Notice: Finished catalog run in 153.80 seconds
Comment 1 Boris Derzhavets 2016-04-26 06:39:59 EDT
In meantime same BUG during AIO install on CentOS 7.2

sudo yum install -y centos-release-openstack-mitaka
$ sudo yum update -y
$ sudo yum install -y openstack-packstack
Generate and update answer-file
CONFIG_KEYSTONE_API=v3

192.169.142.57_keystone.pp:                          [ DONE ]         
192.169.142.57_cinder.pp:                         [ ERROR ]           
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 192.169.142.57_cinder.pp
Error: Could not prefetch cinder_type provider 'openstack': Execution of '/usr/bin/openstack volume type list --quiet --format csv --long' returned 1: Expecting to find domain in project - the server could not comply with the request since it is either malformed or otherwise incorrect. The client is assumed to be in error. (HTTP 400) (Request-ID: req-141e4ecb-0cf6-4693-8a81-99abf5b45934)
You will find full trace in log /var/tmp/packstack/20160426-132519-r2FMyX/manifests/192.169.142.57_cinder.pp.log
Comment 2 Boris Derzhavets 2016-05-11 12:19:44 EDT
I have noticed that restarting same packstack deployment with CONFIG_INSTALL_CINDER=n completes OK and all cinder services appear to be running
also `cinder list` works. So first crash happens somewhere at the end of cinder
setup.
Comment 3 Javier Peña 2016-05-18 10:47:03 EDT
Cinder issues with Keystone v3 are currently a known issue, and documented in the Packstack release notes: https://github.com/openstack/packstack/blob/master/releasenotes/notes/keystone-v3-note-065b6302b49285f3.yaml
Comment 4 Javier Peña 2016-05-18 10:48:05 EDT
*** Bug 1330485 has been marked as a duplicate of this bug. ***
Comment 5 Chandan Kumar 2016-05-19 11:56:36 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.
Comment 6 Javier Peña 2016-05-19 11:58:05 EDT
Reopening. Actually this was reported against Mitaka, but the target release setting was wrong (Kilo).
Comment 7 Javier Peña 2016-05-19 12:34:34 EDT
After revisiting the issue, it seems to be due to a combination of issues in the cinder_type provider (from puppet-cinder), which only supports Keystone v2, and the fact that Packstack generates the auth_url for cinder using a versioned endpoing.

A combination of https://review.openstack.org/318762 and https://review.openstack.org/318757 (or alternative patches) should fix it.
Comment 8 Boris Derzhavets 2016-05-21 14:13 EDT
Created attachment 1160174 [details]
Updated patch for rebuild openstack-puppet-modules-8.0.4-1.el7.src.rpm

Same update for all hunks

diff --git a/cinder/lib/puppet/provider/cinder.rb b/cinder/lib/puppet/provider/cinder.rb
index 829a335..ffb98f0 100644
--- a/cinder/lib/puppet/provider/cinder.rb
+++ b/cinder/lib/puppet/provider/cinder.rb
Comment 9 Boris Derzhavets 2016-05-21 14:17:59 EDT
[boris@ServerCentOS72 SPECS]$ rpmbuild -bb openstack-puppet-modules.spec | tee build.log
+ umask 022
+ cd /home/boris/rpmbuild/BUILD
+ cd /home/boris/rpmbuild/BUILD
+ rm -rf openstack-puppet-modules-8.0.4
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.K3xkGI
+ /usr/bin/gzip -dc /home/boris/rpmbuild/SOURCES/8.0.4.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd openstack-puppet-modules-8.0.4
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (0001-Enable-keystone-v3-support-for-cinder_type.patch):'
Patch #0 (0001-Enable-keystone-v3-support-for-cinder_type.patch):
+ /usr/bin/cat /home/boris/rpmbuild/SOURCES/0001-Enable-keystone-v3-support-for-cinder_type.patch
+ /usr/bin/patch -p1 --fuzz=0
patching file cinder/lib/puppet/provider/cinder.rb
patching file cinder/lib/puppet/provider/cinder_type/openstack.rb
patching file releasenotes/notes/keystone-v3-support-cinder_type-09357cfcf7834e80.yaml
patching file cinder/spec/unit/provider/cinder_spec.rb
+ find . -type f -name '.*' -exec rm '{}' +
+ find . -size 0 -exec rm '{}' +
+ find . '(' -name '*.pl' -o -name '*.sh' ')' -exec chmod +x '{}' +
+ find . '(' -name '*.pp' -o -name '*.py' ')' -exec chmod -x '{}' +
+ find . '(' -name '*.rb' -o -name '*.erb' ')' -exec chmod -x '{}' +
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.lI3wek
+ umask 022
+ cd /home/boris/rpmbuild/BUILD
+ cd openstack-puppet-modules-8.0.4
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.KPEhNV
+ umask 022
+ cd /home/boris/rpmbuild/BUILD
+ '[' /home/boris/rpmbuild/BUILDROOT/openstack-puppet-modules-8.0.4-4.el7.centos.x86_64 '!=' / ']'
+ rm -rf /home/boris/rpmbuild/BUILDROOT/openstack-puppet-modules-8.0.4-4.el7.centos.x86_64
++ dirname /home/boris/rpmbuild/BUILDROOT/openstack-puppet-modules-8.0.4-4.el7.centos.x86_64
+ mkdir -p /home/boris/rpmbuild/BUILDROOT
+ mkdir /home/boris/rpmbuild/BUILDROOT/openstack-puppet-modules-8.0.4-4.el7.centos.x86_64
+ cd openstack-puppet-modules-8.0.4
+ rm -rf /home/boris/rpmbuild/BUILDROOT/openstack-puppet-modules-8.0.4-4.el7.centos.x86_64
+ install -d -m 0755 /home/boris/rpmbuild/BUILDROOT/openstack-puppet-modules-8.0.4-4.el7.centos.x86_64//usr/share/openstack-puppet/modules/
++ grep '^mod' Puppetfile
++ cut '-d'\''' -f2
+ cp -r aodh apache cassandra ceilometer ceph certmonger cinder concat contrail corosync datacat elasticsearch firewall fluentd git glance gnocchi haproxy heat horizon inifile ironic java kafka keepalived keystone kibana3 kmod manila memcached midonet mistral module-collectd module-data mongodb mysql n1k_vsm nagios neutron nova nssdb ntp opendaylight openstack_extras openstacklib pacemaker qpid rabbitmq redis remote rsync sahara sensu snmp ssh staging stdlib swift sysctl tempest timezone tomcat tripleo trove tuskar uchiwa vcsrepo vlan vswitch xinetd zaqar zookeeper /home/boris/rpmbuild/BUILDROOT/openstack-puppet-modules-8.0.4-4.el7.centos.x86_64//usr/share/openstack-puppet/modules/
+ cp Puppetfile /home/boris/rpmbuild/BUILDROOT/openstack-puppet-modules-8.0.4-4.el7.centos.x86_64//usr/share/openstack-puppet/Puppetfile
+ rm -f /home/boris/rpmbuild/BUILDROOT/openstack-puppet-modules-8.0.4-4.el7.centos.x86_64//usr/share/openstack-puppet/modules/nova/files/nova-novncproxy.init
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id -m --run-dwz --dwz-low-mem-die-limit 10000000 --dwz-max-die-limit 110000000 /home/boris/rpmbuild/BUILD/openstack-puppet-modules-8.0.4
/usr/lib/rpm/sepdebugcrcfix: Updated 0 CRC32s, 0 CRC32s did match.
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Processing files: openstack-puppet-modules-8.0.4-4.el7.centos.noarch
Provides: openstack-puppet-modules = 1:8.0.4-4.el7.centos
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PartialHardlinkSets) <= 4.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: /bin/bash /bin/sh
Checking for unpackaged file(s): /usr/lib/rpm/check-files /home/boris/rpmbuild/BUILDROOT/openstack-puppet-modules-8.0.4-4.el7.centos.x86_64
Wrote: /home/boris/rpmbuild/RPMS/noarch/openstack-puppet-modules-8.0.4-4.el7.centos.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.wX6p3q
+ umask 022
+ cd /home/boris/rpmbuild/BUILD
+ cd openstack-puppet-modules-8.0.4
+ /usr/bin/rm -rf /home/boris/rpmbuild/BUILDROOT/openstack-puppet-modules-8.0.4-4.el7.centos.x86_64
+ exit 0
Comment 10 Boris Derzhavets 2016-05-21 17:20:31 EDT
(In reply to Javier Peña from comment #7)
> After revisiting the issue, it seems to be due to a combination of issues in
> the cinder_type provider (from puppet-cinder), which only supports Keystone
> v2, and the fact that Packstack generates the auth_url for cinder using a
> versioned endpoing.
> 
> A combination of https://review.openstack.org/318762 and
> https://review.openstack.org/318757 (or alternative patches) should fix it.

Both packages 
openstack-packstack-8.0.0-1.el7.src.rpm  
openstack-puppet-modules-8.0.4-1.el7.src.rpm
have been rebuilt.
Second one with slightly fixed patch ( second attachment )

New rpms installed :-

[boris@ServerCentOS72 noarch]$ ls -l
total 3428
-rwxrwxr-x. 1 boris boris     239 May 21 21:40 install
-rw-rw-r--. 1 boris boris  247312 May 21 21:34 openstack-packstack-8.0.0-2.el7.centos.noarch.rpm
-rw-rw-r--. 1 boris boris   17376 May 21 21:34 openstack-packstack-doc-8.0.0-2.el7.centos.noarch.rpm
-rw-rw-r--. 1 boris boris   16792 May 21 21:34 openstack-packstack-puppet-8.0.0-2.el7.centos.noarch.rpm
-rw-rw-r--. 1 boris boris 3212844 May 21 21:38 openstack-puppet-modules-8.0.4-2.el7.centos.noarch.rpm

[boris@ServerCentOS72 noarch]$ cat install
sudo yum install openstack-packstack-8.0.0-2.el7.centos.noarch.rpm \
openstack-packstack-doc-8.0.0-2.el7.centos.noarch.rpm \
openstack-packstack-puppet-8.0.0-2.el7.centos.noarch.rpm \
openstack-puppet-modules-8.0.4-2.el7.centos.noarch.rpm.

Issue seems to be fixed.
 RDO AIO Mitaka with Keystone v3 and completely functional cinder has been  installed.
Comment 11 mrbenzel 2016-10-15 20:38:49 EDT
Same issue with Newton -- Bug 1385291 
Steps to Reproduce:
1. Install CentOS-7-x86_64-DVD-1511 follow RDO Quickstart guide Newton 
2. Generate answer file
3. set CONFIG_KEYSTONE_API_VERSION=v3
4. Run install 

Actual results:
Copying Puppet modules and manifests                 [ DONE ]
Applying 192.168.0.22_controller.pp
Testing if puppet apply is finished: 192.168.0.22_controller.pp  [ / ]
192.168.0.22_controller.pp:                       [ ERROR ]
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 192.168.0.22_controller.pp
Error: Could not prefetch nova_flavor provider 'openstack': Execution of '/usr/bin/openstack flavor list --quiet --format csv --long --all' returned 1: Expecting to find domain in project
Comment 12 Boris Derzhavets 2016-10-17 13:09:37 EDT
(In reply to mrbenzel from comment #11)
> Same issue with Newton -- Bug 1385291 
> Steps to Reproduce:
> 1. Install CentOS-7-x86_64-DVD-1511 follow RDO Quickstart guide Newton 
> 2. Generate answer file
> 3. set CONFIG_KEYSTONE_API_VERSION=v3
> 4. Run install 
> 
> Actual results:
> Copying Puppet modules and manifests                 [ DONE ]
> Applying 192.168.0.22_controller.pp
> Testing if puppet apply is finished: 192.168.0.22_controller.pp  [ / ]
> 192.168.0.22_controller.pp:                       [ ERROR ]
> Applying Puppet manifests                         [ ERROR ]
> 
> ERROR : Error appeared during Puppet run: 192.168.0.22_controller.pp
> Error: Could not prefetch nova_flavor provider 'openstack': Execution of
> '/usr/bin/openstack flavor list --quiet --format csv --long --all' returned
> 1: Expecting to find domain in project

The current would be much more difficult to hack to redisign of packstack in
RDO Newton. On Mitaka I simply disable Cinder set up for second run of packstack. Now you have just controller.pp,compute.pp,network.pp. The only one thing is clear that controller.pp is subject for patching.
Comment 13 Alan Pevec 2016-10-17 16:08:58 EDT
This is work in progress, depending on few puppet modules changes, see linked review.

Note You need to log in before you can comment on or make changes to this bug.